Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.msg
Interface HL7v3MessageInfoInterface

All Known Implementing Classes:
  HL7v3MessageInfo

    public interface HL7v3MessageInfoInterface

This interface is used to access the other interfaces that are used in the HL7 v3 message processing

Version:
  cvs revision: $Revision: 1.1 $ Last Modified: $Date: 2007/12/14 10:20:11 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Method Summary
`HL7v3AcknowledgementInfoInterface` | `getHL7AcknowledgmentInfo()` Returns the hl7AcknowledgmentInfo.
`HL7CommunicationControlInfoInterface` | `getHL7CommunicationControlInfo()` Returns the hl7CommunicationControlInfo
`HL7LLPInfoInterface` | `getHL7LLPInfo()` Returns the hl7LLPInfo.
`HL7PersistInfoInterface` | `getHL7PersistInfo()` Returns the hl7PersistInfo
`HL7RecourseActionInfoInterface` | `getHL7RecourseActionInfo()` Returns the hl7RecourseActionInfo
`HL7SeqNumberInfoInterface` | `getHL7SeqNumberInfo()` Returns the hl7SeqNumberInfo.
`HL7v3TransmissionWrapperInfoInterface` | `getHL7v3TransmissionWrapperInfo()` Returns the hl7v3TranWrapperInfo

Field Detail

### version

    static final java.lang.String version

See Also:
  Constant Field Values

Method Detail

### getHL7AcknowledgmentInfo

    HL7v3AcknowledgementInfoInterface getHL7AcknowledgmentInfo()

  Returns the hl7AcknowledgmentInfo.

  Returns:
    HL7v3AcknowledgmentInfoInterface

### getHL7LLPInfo

    HL7LLPInfoInterface getHL7LLPInfo()

  Returns the hl7LLPInfo.

  Returns:
    HL7LLPInfoInterface

### getHL7SeqNumberInfo

    HL7SeqNumberInfoInterface getHL7SeqNumberInfo()

  Returns the hl7SeqNumberInfo.

  Returns:
    HL7SeqNumberInfoInterface

### getHL7CommunicationControlInfo

    HL7CommunicationControlInfoInterface getHL7CommunicationControlInfo()

  Returns the hl7CommunicationControlInfo

  Returns:
    HL7CommunicationControlInfoInterface

### getHL7RecourseActionInfo

    HL7RecourseActionInfoInterface getHL7RecourseActionInfo()

  Returns the hl7RecourseActionInfo

  Returns:
    HL7RecourseActionInfoInterface

### getHL7PersistInfo

    HL7PersistInfoInterface getHL7PersistInfo()

  Returns the hl7PersistInfo

  Returns:
    HL7PersistInfoInterface

### getHL7v3TransmissionWrapperInfo

    HL7v3TransmissionWrapperInfoInterface getHL7v3TransmissionWrapperInfo()

  Returns the hl7v3TranWrapperInfo

  Returns:
    hl7v3TranWrapperInfo HL7v3TransmissionWrapperInfo

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD